// heatsig.fs
//
// odwrócenie poziomów szarości na widmo termiczne 

uniform sampler1D sampler0;

void main(void)
{
    // przekształcenie na skalę szarości
    float gray = dot(gl_Color.rgb, vec3(0.3, 0.59, 0.11));

    // odczyt wartości sygnatury temperatury
    gl_FragColor = texture1D(sampler0, gray);
}

